select * from Sales.SalesPerson

declare @PersonID int = (
  select Max(BusinessEntityID) from Sales.SalesPerson
)

select * from Sales.SalesOrderHeader
where SalesPersonID = @PersonID;

select * from Sales.SalesOrderHeader
where SalesPersonID = (
  select Max(BusinessEntityID) from Sales.SalesPerson
)

select * from Sales.Store
where SalesPersonID in (279, 275)

select * from Sales.Currency
select * from Sales.CurrencyRate

select * from Sales.CurrencyRate
where ToCurrencyCode in 
(
  select top 2 percent CurrencyCode
  from Sales.Currency
  order by newid()
)

select * from Sales.SalesTaxRate
where TaxRate between
(select Min(TaxRate) + 5 from Sales.SalesTaxRate)
and
(select Max(TaxRate) - 7 from Sales.SalesTaxRate)

select CustomerID, SalesOrderID, OrderDate
from Sales.SalesOrderHeader s1
where SalesOrderID = 
(
  select Max(s2.SalesOrderID)
  from Sales.SalesOrderHeader s2
  where s1.CustomerID = s2.CustomerID
)

select Name, ProductNumber 
from Production.Product p
where SafetyStockLevel > 0
and exists (
  select * from Production.ProductReview p2 
  where 
  p2.ProductId = p.ProductID and Rating = 2
)